import sys, sudoku
from sideBySide import sideBySide

def test3 () :
    game = sudoku.Game(sys.argv[1])
    sweep = 1
    before = game.display()
    while not game.finished() :
        game.iterate()
        if game.error :
            print(game.error)
            break
        else :
            after = game.display()
            print("  Iteration %s" % sweep)
            print("\n        Before                    After")
            print(sideBySide([before,after]))
            before = after
            sweep += 1

if __name__ == "__main__" : test3()
